Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class ArchiveReferenceModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ArchiveReferenceModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  ArchiveReference

public class ArchiveReferenceModel
extends ModelObject

Site archive model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `ArchiveReference`

Constructor Summary
`ArchiveReferenceModel()` Creates a uninitialized model object.

Method Summary
`String` | `getPath()` Retrieve the site archive "symbolic" path
`URL` | `getURL()` Returns the resolved URL for the archive.
`String` | `getURLString()` Returns the unresolved URL string for the archive.
`void` | `resolve(URL base, URL bundleURL)` Resolve the model object.
`void` | `setPath(String path)` Sets the site archive "symbolic" path.
`void` | `setURLString(String urlString)` Sets the unresolved URL string for the archive.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchiveReferenceModel

    public ArchiveReferenceModel()

  Creates a uninitialized model object.

Since:
  2.0

Method Detail

### getPath

    public String getPath()

  Retrieve the site archive "symbolic" path

  Returns:
    path, or `null`
  Since:
    2.0

### getURLString

    public String getURLString()

  Returns the unresolved URL string for the archive.

  Returns:
    url string, or `null`
  Since:
    2.0

### getURL

    public URL getURL()

  Returns the resolved URL for the archive.

  Returns:
    url, or `null`
  Since:
    2.0

### setPath

    public void setPath(String path)

  Sets the site archive "symbolic" path. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `path` - archive "symbolic" path.
  Since:
    2.0

### setURLString

    public void setURLString(String urlString)

  Sets the unresolved URL string for the archive. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `urlString` - unresolved url string.
  Since:
    2.0

### resolve

    public void resolve(URL base,
                        URL bundleURL)
                 throws MalformedURLException

  Resolve the model object. Any URL strings in the model are resolved relative to the base URL argument. Any translatable strings in the model that are specified as translation keys are localized using the supplied resource bundle.

  Overrides:
    `resolve` in class `ModelObject`
  Parameters:
    `base` - URL
    `bundleURL` - resource bundle URL
  Throws:
    `MalformedURLException`
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.